# Uses of Class
org.bukkit.plugin.InvalidDescriptionException

Packages that use InvalidDescriptionException
Package
Description
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of InvalidDescriptionException in org.bukkit.plugin

Methods in org.bukkit.plugin that throw InvalidDescriptionException
Modifier and Type
Method
Description
`@NotNull PluginDescriptionFile`
PluginLoader.`getPluginDescription(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads a PluginDescriptionFile from the specified file
`@Nullable Plugin`
PluginManager.`loadPlugin(@NotNull File file)`
Loads the plugin in the specified file
Constructors in org.bukkit.plugin that throw InvalidDescriptionException
Modifier
Constructor
Description
``
`PluginDescriptionFile(@NotNull InputStream stream)`
``
`PluginDescriptionFile(@NotNull Reader reader)`
Loads a PluginDescriptionFile from the specified reader

## Uses of InvalidDescriptionException in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that throw InvalidDescriptionException
Modifier and Type
Method
Description
`@NotNull PluginDescriptionFile`
JavaPluginLoader.`getPluginDescription(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.